aboutsummaryrefslogtreecommitdiffstats
path: root/community/psad/psad.initd
diff options
context:
space:
mode:
authorStuart Cardall <developer@it-offshore.co.uk>2016-08-18 20:46:53 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-21 22:24:04 +0200
commit5c9f3ca3e307be53b45beeed2ce1626f38008625 (patch)
tree919836fe454e953f46685adf8228b0401280d4b6 /community/psad/psad.initd
parent6a00a953ba02bab6440a2c784e7db37c6eaeace1 (diff)
downloadaports-5c9f3ca3e307be53b45beeed2ce1626f38008625.tar.bz2
aports-5c9f3ca3e307be53b45beeed2ce1626f38008625.tar.xz
testing/[various]: move to community
albatross-themes apk-post-messages autossh bitcoin btrbk entr ffmpegthumbnailer firejail firetools fwsnort gnome-colors imapsync inetutils-syslogd inotify-tools-inc isync junit ktsuss letsencrypt-nosudo libmbim libndp libqmi libteam mini-sendmail modemmanager namecoin networkmanager nginx-naxsi numix-themes nxapi opencl-headers opencl-icd-loader opus-tools perl-authen-ntlm perl-bit-vector perl-data-uniqid perl-file-copy-recursive perl-getopt-argvfile perl-io-tee perl-iptables-chainmgr perl-iptables-parse perl-module-scandeps perl-par-dist perl-par-packer perl-par perl-uri-escape psad py-crcmod py-graphviz py-lz4 py-opencl py-opengl-accelerate runit secpwgen secure-delete socklog spacefm tinyssh udevil virt-viewer virtualbricks whois wrk xpra zram-init
Diffstat (limited to 'community/psad/psad.initd')
-rw-r--r--community/psad/psad.initd51
1 files changed, 51 insertions, 0 deletions
diff --git a/community/psad/psad.initd b/community/psad/psad.initd
new file mode 100644
index 0000000000..4a78c701c6
--- /dev/null
+++ b/community/psad/psad.initd
@@ -0,0 +1,51 @@
+#!/sbin/openrc-run
+
+# This file is part of PSAD (Port Scan Attack Detector)
+# Adapted for Alpine Linux by IT Offshore <developer@it-offshore.co.uk>
+
+command="/usr/sbin/psad"
+pidfile="/var/run/psad/psad.pid"
+config_file="/etc/psad/psad.conf"
+
+depend() {
+ need net
+ need logger
+ after iptables
+}
+
+# allow override config_file location from conf.d
+: ${config_file:="/etc/psad/psad.conf"}
+
+check_config() {
+ [ -f "$config_file" ] || error "$config_file is missing"
+}
+
+start_pre() {
+ check_config || return 1
+ # make sure dir for pidfile exists. /var/run is tmpfs...
+ checkpath --directory ${pidfile%/*}
+}
+
+start() {
+ ebegin "Starting PSAD (Port Scan Attack Detector)"
+ start-stop-daemon --start $command --pidfile $pidfile
+ eend $?
+}
+
+stop() {
+ local piddir=${pidfile%/*}
+ ebegin "Stopping psadwatchd"
+ start-stop-daemon --stop --quiet --pidfile $piddir/psadwatchd.pid
+ eend $? "Failed to stop psadwatchd"
+
+ if [ -f $piddir/kmsgsd.pid ] ; then
+ ebegin "Stopping kmsgsd"
+ start-stop-daemon --stop --quiet --pidfile $piddir/kmsgsd.pid
+ eend $? "Failed to stop kmsgsd"
+ fi
+
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --quiet --pidfile $piddir/psad.pid
+ eend $? "Failed to stop ${SVCNAME}"
+}
+